/* 
 * File: radiofix_header.c  
 * Created on 28 ноября 2023 г., 17:22
 * 
 *  
 */
#include <xc.h> // include processor files - each processor file is guarded.  
#include <pic.h>
#include "radiofix_header.h"
//=========================================================
// Soft I2C Start
//=========================================================
void soft_i2c_start()
{
 SDA_TRIS=0;
 SDA_TRIS=0;
  SDA_PIN=1;
 SCL_PIN=1;
 SDA_PIN=0;
 SCL_PIN=0;
}
//---------------------------------------------------------

//=========================================================
// Soft I2C Stop
//=========================================================
void soft_i2c_stop()
{  SDA_TRIS=0;
 SCL_TRIS=0;
  SDA_PIN=0;
 SCL_PIN=1;
 SDA_PIN=1;
}
//--------------------------------------------------------- 

//=========================================================
// I2C write
//=========================================================
void soft_i2c_write(unsigned char data_send)
{
 unsigned char i;
  SDA_TRIS=0;
 SCL_TRIS=0;
  for(i=0;i<=8;i++)
 {
  if(data_send & 0x80) // MSB fist -> LSB last
   SDA_PIN=1;
  else
   SDA_PIN=0;
    SCL_PIN=1;
  data_send <<=1;
  SCL_PIN=0;
 }
}    //---------------------------------------------------------

